<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [connect](./bitburner.singularity.connect.md)

## Singularity.connect() method

Connect to a server.

**Signature:**

```typescript
connect(host: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the connect command was successful, false otherwise.

## Remarks

RAM cost: 2 GB \* 16/4/1

Run the connect HOSTNAME/IP command in the terminal. Can only connect to neighbors.

